RealizingFeatureHolder (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.RealizingFeatureHolder interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Interface RealizingFeatureHolder

All Superinterfaces:
  Changeable, FeatureHolder

All Known Implementing Classes:
  CircularView, NewSimpleAssembly, PhredSequence, RevCompSequence, SimpleAssembly, SimpleFeature, SimpleFramedFeature, SimpleHomologyFeature, SimpleRemoteFeature, SimpleRestrictionSite, SimpleSequence, SimpleSimilarityPairFeature, SimpleStrandedFeature, ViewSequence

    public interface RealizingFeatureHolder

extends FeatureHolder

Interface for `FeatureHolder` objects which know how to instantiate new child Features. This interface should not be needed in normal client programs, since they will use the `createFeature` method of `FeatureHolder` to add new features. However, this method exposes the feature realization infrastructure to child features.

Author:
  Thomas Down
See Also:
  `RichFeatureHolder`

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.seq.FeatureHolder
`FeatureHolder.EmptyFeatureHolder`

Field Summary

Fields inherited from interface org.biojava.bio.seq.FeatureHolder
`EMPTY_FEATURE_HOLDER, FEATURES, SCHEMA`

Method Summary
`Feature` | `realizeFeature(FeatureHolder parent, Feature.Template template)` Realize a feature template.

Methods inherited from interface org.biojava.bio.seq.FeatureHolder
`containsFeature, countFeatures, createFeature, features, filter, filter, getSchema, removeFeature`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### realizeFeature

    Feature realizeFeature(FeatureHolder parent,
                           Feature.Template template)
                           throws BioException

  Realize a feature template. This will be a template which has been passed to the `createFeature` method of either this `FeatureHolder` or one of our child Features.

  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD